<div class="relative w-[322px]">
  <img src="/assets/images/box2top.webp" alt="" class="absolute" />
  <h2 class="h2-title absolute left-1/2 -translate-x-1/2 top-[5px]">
    {{ title | uppercase }}
  </h2>

  <div class="pl-[3px] pr-[2px] pt-5">
    <div
      class="h-[120px] bg-cover bg-no-repeat border-x border-black"
      [style.backgroundImage]="'url(' + image + ')'"
    ></div>
  </div>

  <div class="relative -mt-[5px]">
    <img src="/assets/images/box2bottom.webp" alt="" class="" />

    <div class="absolute top-1 w-full px-[6px]">
      <ng-container [ngSwitch]="type">
        <ng-container *ngSwitchCase="'fight'">
          <app-fight [user]="user" [isOwner]="isOwner"></app-fight>
        </ng-container>
        <ng-container *ngSwitchCase="'mission'">
          <app-missions [user]="user" [isOwner]="isOwner"></app-missions>
        </ng-container>
        <ng-container *ngSwitchCase="'raid'">
          <app-raid> </app-raid>
        </ng-container>
      </ng-container>
    </div>
  </div>
</div>
